function DnsUrlPageReady(domainid) {
    // Set up our loading animation
    $(document).on({
        ajaxStart: function() {
            $("button").attr("disabled", "disabled");
            showGears();
        },
        ajaxStop: function() {
            $("button").removeAttr("disabled");
            hideGears();
        }
    });
    // Retrieve a list of all currently configured records
    listRecords(domainid);
    // If we get a click on the class insertRow do the following
    $(document).on("click", ".insertRow", function() {
        // Work out which div element we should be adding to
        var section = $(this).attr("data-append");
        if (section == "dnsrecords") {
            // Count the number of div's in the dnsrecords div
            var rowCount = $("#dnsrecords >div").length;
            // Increment by 1
            rowCount++;
            // Append the following html to the dnsrecords div
            $("#dnsrecords").append('<div class="row" id="row-' + rowCount + '"><form id="form-' + rowCount + '"><input type="hidden" name="recordid" id="newrecordid-' + rowCount + '" value="' + rowCount + '"><div class="col-lg-3"><input type="text" name="hostname" /></div><div class="col-lg-3"><input type="text" name="address"/></div><div class="col-lg-2"><select name="type"><option value="A">A</option><option value="AAAA">AAAA</option><option value="CNAME">CNAME</option><option value="MX">MX</option><option value="SRV">SRV</option><option value="TXT">TXT</option><option value="NS">NS</option></select></div><div class="col-lg-1 plf"><input type="text" name="ttl" size="5"/></div><div class="col-lg-1"><input type="text" name="priority" size="3"/></div><div class="col-lg-2 text-center"><div class="btn-group" role="group" aria-label="..."><button type="button" class="btn btn-danger delRow"><span class="glyphicon glyphicon-trash"></span></button><button type="button" class="btn btn-success saveRow"><span class="glyphicon glyphicon-pencil"></span></button></div></div></form></div>');
        } else if (section == "urlforwards") {
            // Count the number of div's in the urlforwards div
            var rowCount = $("#urlforwards >div").length;
            // Increment by 1
            rowCount++;
            // Append the following html to the urlforwards div
            $("#urlforwards").append('<div class="row" id="urlrow-' + rowCount + '"><form id="urlform-' + rowCount + '"><input type="hidden" name="recordid" id="urlnewrecordid-' + rowCount + '" value="' + rowCount + '"><div class="col-lg-3"><input type="text" name="hostname" size="20"/></div><div class="col-lg-3"><input type="text" name="address" size="20"/></div><div class="col-lg-3"><select name="type"><option value="URL">URL Forward</option><option value="FRAME">URL Frame (Cloaking)</option></select></div><div class="col-lg-2"></div><div class="col-lg-2 text-center"><div class="btn-group" role="group" aria-label="..."><button type="button" class="btn btn-danger delRow"><span class="glyphicon glyphicon-trash"></span></button><button type="button" class="btn btn-success saveRow"><span class="glyphicon glyphicon-pencil"></span></button></div></div></form></div>');
        }
    });
    // If we get a click on the class saveRow do the following
    $(document).on("click", ".saveRow", function() {
        // Declare vars
        var response;
        // Work out which div element we should be adding to
        var section = $(this).parent().parent().parent().parent().parent().attr("id");
        // We need to use different anchors depending on what called us
        if (section == "dnsrecords") {
            // Get the record id from the hidden input field
            var recordid = $(this).parent().parent().parent().find("input[type='hidden']").val();
            // Get the new record id if it exists
            var newrecord = $("#newrecordid-" + recordid).val();
            // Serialize the form
            var serializedData = $("#form-" + recordid).serialize();
            // See if newrecord is defined
            if (newrecord == undefined) {
                // Save the record instead of adding it
                saveRecord(domainid, recordid, serializedData, "dns");
            } else {
                // Add the record
                addRecord(domainid, newrecord, serializedData, "dns");
            }
        } else if (section == "urlforwards") {
            // Get the record id from the hidden input field
            var recordid = $(this).parent().parent().parent().find("input[type='hidden']").val();
            // Get the new record id if it exists
            var newrecord = $("#urlnewrecordid-" + recordid).val();
            // Serialize the form
            var serializedData = $("#urlform-" + recordid).serialize();
            // See if newrecord is defined
            if (newrecord == undefined) {
                // Save the record instead of adding it
                saveRecord(domainid, recordid, serializedData, "url");
            } else {
                // Add the record
                addRecord(domainid, newrecord, serializedData, "url");
            }
        }
    });
    // If we get a click on the class delRow do the following
    $(document).on("click", ".delRow", function() {
        // Declare vars
        var response;
        // Work out which div element we should be adding to
        var section = $(this).parent().parent().parent().parent().parent().attr("id");
        // We need to use different anchors depending on what called us
        if (section == "dnsrecords") {
            // Get the record id from the hidden input field
            var recordData = $(this).parent().parent().parent().find("input[type='hidden']");
            if (recordData.attr("id").indexOf("new") !== -1) {
                $(this).parent().parent().parent().parent().hide();
            } else {
                var recordid = $(this).parent().parent().parent().find("input[type='hidden']").val();
                // Serialize the form
                var serializedData = $("#form-" + recordid).serialize();
                // Add the record
                deleteRecord(domainid, recordid, serializedData, "dns");
            }
        } else if (section == "urlforwards") {
            // Get the record id from the hidden input field
            var recordData = $(this).parent().parent().parent().find("input[type='hidden']");
            if (recordData.attr("id").indexOf("new") !== -1) {
                $(this).parent().parent().parent().parent().hide();
            } else {
                var recordid = $(this).parent().parent().parent().find("input[type='hidden']").val();
                // Serialize the form
                var serializedData = $("#urlform-" + recordid).serialize();
                // Add the record
                deleteRecord(domainid, recordid, serializedData, "url");
            }
        }
    });
}